// file glossary.js

// everything appears to be JavaScript 1.0 except the .split method which is JavaScript 1.1 (NN 3+, MSIE 4+)
// could do two arrays to avoid using .split - one of words & one of definitions, but then hard to
// format the data. Or one array with alternating elements - odd elements are words, and even elements
// are definitions (js 1.0 = NN 2+ & MSIE 3+)

// or just use js 1.0 compatible methods for splitting off the word! ***do this***

function crossref(word)
{ return("<A HREF=\"javascript:GlossaryWord('"+word+"');\">"+word+"</A>");
}

var glossary = new Array(
	"Ananda|The Buddha's assistant for the last 20 years of his life, Ananda was known for his " +
			"photographic memory. He is said to have memorized every teaching given by the Buddha " +
			"in his lifetime. In the Zen tradition, Ananda is said to have received transmission from" +
			"Mahakashyapa 20 years after the death of the Buddha.",
	"zagu|Literally 'sitting cloth.' Used by "+crossref("ordained")+" monks and nuns to protect the okesa. The zagu is " +
			"spread on the floor before bowing with the okesa.",
	"ordained|Having received the precepts in a tokudo ceremony, a student is said to be an ordained monk.",
	"Zhaozhou|<i>(also Chao-chou in Wade-Giles, Joshu Jushin in Japanese)</i> 778-897; called \"Joshu the old Buddha\""+
			" by "+crossref("Dogen")+" Zenji, Zhaozhou was an important Ch'an teacher in Tang dynasty China and the focus " +
			" of several cases in both the "+crossref("Blue Cliff Record")+" and the "+crossref("Gateless Gate")+" koan "+
			" collections. Zhaozhou was known for his down-to-earth teaching style, humble attitude, and long, quiet career",
	"Blue Cliff Record|<i>(Pi-yen-lu in Chinese, Hekigan-roku in Japanese)</i> A koan collection composed in the first half "+
			" of the 12th century by Ch'an master Yuan-We K'o-chi'in based on an earlier collection by Hsueh=tou Ch'ung-hsien",
	"tokudo|Literally \"attainment of going beyond\" - the Zen priest's ordination ceremony. The student receives the okesa"+
			" and bowls and vows to practice deeply with and through the Zen precepts",
	"jukai|Literally \"to receive the precepts\" - the lay ordination ceremony in which a student receives the bib-like rakasu"+
			" which represents the larger priest's okesa."
	);

var gWin
var sHeader = new String();
sHeader = "<html><head><script language=\"javaScript\" src=\"glossary.js\"></script></head><body><h3>Glossary Entry:&nbsp;";
sFooter = "<p align='center'><form><input type='button' onClick='window.close()' value='Close Glossary Window'></p></form></body></html>";

function GlossaryWord(word)
{  var glossaryWord, glossaryEntry, pipeLoc

	// loop through entries
	for (var i=0; i<glossary.length; i++)
	{ pipeLoc = glossary[i].indexOf('|');
	  glossaryWord = glossary[i].substring(0,pipeLoc);

	  if (glossaryWord.toUpperCase() == word.toUpperCase())
	  {	
		// match found, extract definition
		glossaryEntry = glossary[i].substring(pipeLoc+1,glossary[i].length)
		
		// open the glossary window
		if (gWin == null || gWin.closed)
		{	gWin = window.open("","gWindow","HEIGHT=300,WIDTH=300,resizable,scrollbars") }
		gWin.focus();
		var outwin = gWin.document;

		// write the glossary window html
		outwin.write(sHeader+glossaryWord+"</h3>"+glossaryEntry+sFooter);
		outwin.close();

		// exit loop
		break;
	  }
	}
}